> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a blob from the blob store



## OpenAPI

````yaml /api-reference/4.2/service-blobs.json delete /blobs/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service blobs
servers:
  - url: /api/apollo/
security: []
tags:
  - name: blobs
paths:
  /blobs/{id}:
    delete:
      tags:
        - 4.2 Blobs API
      summary: Remove a blob from the blob store
      operationId: deleteFile
      parameters:
        - name: id
          in: path
          description: The blob ID
          required: true
          schema:
            type: string
            pattern: .*
        - name: If-Match
          in: header
          description: An entity tag to match against the specified blob
          required: false
          schema:
            type: string
            default: '"0"'
        - name: commit
          in: query
          description: Whether to commit to Solr Blob store or not
          required: false
          schema:
            type: boolean
            default: true
      responses:
        default:
          description: successful operation

````